<?php
/*
http://www.payline.com

Payline module for OpenCart - v1.3 - January 2014

Copyright (c) 2014 Monext
*/

// Heading
$_['heading_title']		= 'Payline - paiement s&eacute;curis&eacute;';

// Text
$_['text_payment']		= 'Paiement';
$_['text_success']		= 'Votre configuration Payline est correcte';
$_['text_incomplete']	= 'Votre configuration Payline est incompl&egrave;te : s&eacute;lectionnez au moins un contrat primaire';
$_['text_payline']		= '<a onclick="window.open(&#39;http://www.payline.com&#39;);"><img src="view/image/payment/payline.png" alt="Payline" title="Payline" style="border: 1px solid #EEEEEE;" /></a>';
$_['text_all_zones']	= 'Toutes zones';
$_['text_homologation']	= 'Homologation';
$_['text_production']	= 'Production';
$_['payment_action_101']= 'autorisation+validation';
$_['payment_action_100']= 'autorisation';

// Entry
$_['entry_geo_zone']     		= 'Zone g&eacute;ographique';
$_['entry_status']       		= 'Statut';
$_['entry_sort_order']   		= 'Ordre de tri';
$_['entry_method_name']   		= 'Nom de la m&eacute;thode';
$_['entry_environment']  		= 'Environment cible';
$_['entry_payline_status']  	= 'Statut du module';
$_['entry_merchant_id']  		= 'Identifiant commer&ccedil;ant';
$_['entry_access_key']   		= 'Cl&eacute; d\'acc&egrave;s';
$_['entry_payment_action']   	= 'Action de paiement';
$_['entry_init_status']     	= 'Statut initial';
$_['entry_accepted_status']     = 'Statut accept&eacute; ';
$_['entry_canceled_status']     = 'Statut annul&eacute;';
$_['entry_refused_status']     	= 'Statut refus&eacute;';
$_['entry_abandoned_status']    = 'Statut abandonn&eacute;';
$_['entry_template_url']   		= 'URL template dynamique';
$_['entry_custom_page_code']   	= 'Code de personnalisation';
$_['entry_proxy_host']   		= 'Hte proxy';
$_['entry_proxy_port']   		= 'Port proxy';
$_['entry_proxy_login']   		= 'Identifiant proxy';
$_['entry_proxy_password']		= 'Mot de passe proxy';
$_['entry_select_pos']			= 'S&eacute;lectionnez un point de vente : '; 

// Fieldset
$_['fieldset_payline_module']			= 'Param&egrave;tres g&eacute;n&eacute;raux';
$_['fieldset_payline_auth']				= 'Param&egrave;tres d\'autentification';
$_['fieldset_payline_proxy']			= 'Param&egrave;tres proxy';
$_['fieldset_payline_payment']			= 'Param&egrave;tres du paiement';
$_['fieldset_payline_contracts']		= 'Contrats';
$_['fieldset_payline_basicsettings']	= 'Renseignez vos param&egrave;tres d\'autentification pour afficher vos contrats';

// Help
$_['help_geo_zone']     	= '';
$_['help_payline_status']   = '';
$_['help_sort_order']   	= '';
$_['help_method_name']   	= 'Nom de la m&eacute;thode affich&eacute; au client  l\'&eacute;tape 5 du processus de commande';
$_['help_environment']  	= 'L\'environement d\'<i>'.$_['text_homologation'].'</i> est d&eacute;di&eacute; aux tests (les paiements sont fictifs). Une fois vos tests r&eacute;alis&eacute;s, basculez vers l\'environement de <i>'.$_['text_production'].'</i> (<i>'.$_['entry_merchant_id'].'</i> et <i>'.$_['entry_access_key'].'</i> devront tre modifi&eacute;s en cons&eacute;quence).';
$_['help_merchant_id']  	= 'Votre identifiant commer&ccedil;ant Payline (14 chiffres)';
$_['help_access_key']   	= 'La chaine de caract&egrave;res g&eacute;n&eacute;r&eacute;e depuis le centre d\'administration Payline (20 caract&egrave;res)';
$_['help_payment_action']   = 'Une transaction de type <i>'.$_['payment_action_100'].'</i>doit tre valid&eacute;e via le centre d\'administration Payline sous 7 jours pour que le paiement soit effectif. <br/>Si le type <i>'.$_['payment_action_101'].'</i> est choisi, le paiement est imm&eacute;diat.';
$_['help_init_status']     	= 'Statut attribu&eacute; &agrave; la commande lors de la redirection vers la page de paiement Payline';
$_['help_accepted_status']  = 'Statut attribu&eacute; &agrave; la commande lorsque le paiement est accept&eacute; par Payline';
$_['help_canceled_status']  = 'Statut attribu&eacute; &agrave; la commande lorsque le paiement est annul&eacute; par le client';
$_['help_refused_status']   = 'Statut attribu&eacute; &agrave; la commande lorsque le paiement est refus&eacute; par Payline';
$_['help_abandoned_status'] = 'Statut attribu&eacute; &agrave; la commande lorsque le paiement est abandonn&eacute; par le client';
$_['help_template_url']   	= 'URL de votre template dynamique de page de paiement';
$_['help_custom_page_code'] = 'code de la personnalisation cr&eacute;&eacute;e via le centre d\'administration Payline';
$_['help_proxy_host']   	= '';
$_['help_proxy_port']   	= '';
$_['help_proxy_login']   	= '';
$_['help_proxy_password']	= '';

// Error
$_['error_permission']				= 'Vous n\'tes pas habilit&eacute; &agrave; modifier la configuration de Payline';
$_['required_method_name']			= $_['entry_method_name'].' obligatoire';
$_['required_merchant_id']			= $_['entry_merchant_id'].' obligatoire';
$_['required_access_key']			= $_['entry_access_key'].' obligatoire';
$_['required_primary_contracts']	= 'S&eacute;lectionnez au moins un contrat primaire';
$_['error_config']					= 'Votre configuration Payline est erron&eacute;e';
$_['error_contract']				= 'Un de ces num&eacute;ros de contrat est erron&eacute;';
$_['error_connect']					= 'Appel des web services Payline impossible';
$_['error_credentials']				= 'Un de ces param&egrave;tres est erron&eacute;';
$_['error_doWebPayment']			= 'code retour doWebPayment = ';
$_['error_getMerchantSettings']		= 'code retour getMerchantSettings = ';
$_['error_proxy']					= 'Un de vos param&egrave;tre proxy est erron&eacute;';

?>