<?php
/*
http://www.payline.com

Payline module for OpenCart - v1.3 - January 2014

Copyright (c) 2014 Monext
*/
	echo $header;
?>
<script type="text/javascript">
  function managePaylineContracts(){
	var node = document.getElementById('paylinePosSettings');
    var inputs = node.getElementsByTagName("input");
    for(var i = 0, ii = inputs.length; i < ii; i++){
        inputs[i].disabled = true;
    }
    var tables = node.getElementsByTagName("table");
    for(var i = 0, ii = tables.length; i < ii; i++){
        tables[i].style.display="none";
    }
    
    var pos = document.getElementById('paylinePosChoice').value;
    var posTable = document.getElementById(pos);
    posTable.style.display="block";
    var inputs = posTable.getElementsByTagName("input");
    for (var i = 0, ii = inputs.length; i < ii; i++) {
      inputs[i].disabled = false;
    }
  }
</script>
<div id="content">
	<div class="breadcrumb">
    	<?php foreach ($breadcrumbs as $breadcrumb) { ?>
    	<?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    	<?php } ?>
  	</div>
  	<?php if ($error_warning) { ?>
  	<div class="warning"><?php echo $error_warning; ?></div>
  	<?php } ?>
	<div class="box">
		<div class="left"></div>
		<div class="right"></div>
		<div class="heading">
			<h1><img src="view/image/payment.png" alt="" /> <?php echo $heading_title; ?></h1>
			<div class="buttons">
				<a onclick="$('#form').submit();" class="button"><span><?php echo $button_save; ?></span></a><a onclick="location = '<?php echo $cancel; ?>';" class="button"><span><?php echo $button_cancel; ?></span></a>
			</div>
		</div>
		<div class="content">
			<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
				<fieldset>
					<legend><strong><?php echo $fieldset_payline_module; ?></strong></legend>
					<table class="form">
						<tr>
							<td><?php echo $entry_payline_status; ?></td>
	            			<td>
	            				<select name="payline_status">
	                			<?php if ($payline_status) { ?>
	                			<option value="1" selected="selected"><?php echo $text_enabled; ?></option>
	                			<option value="0"><?php echo $text_disabled; ?></option>
	                			<?php } else { ?>
	                			<option value="1"><?php echo $text_enabled; ?></option>
	                			<option value="0" selected="selected"><?php echo $text_disabled; ?></option>
	                			<?php } ?>
	              				</select>
	              			</td>
	              			<td><span class="help"><?php echo $help_payline_status; ?></span></td>
	          			</tr>
	          			<tr>
	          				<td><?php echo $entry_geo_zone; ?></td>
				            <td><select name="payline_geo_zone_id">
				                <option value="0"><?php echo $text_all_zones; ?></option>
				                <?php foreach ($geo_zones as $geo_zone) { ?>
				                <?php if ($geo_zone['geo_zone_id'] == $payline_geo_zone_id) { ?>
				                <option value="<?php echo $geo_zone['geo_zone_id']; ?>" selected="selected"><?php echo $geo_zone['name']; ?></option>
				                <?php } else { ?>
				                <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
				                <?php } ?>
				                <?php } ?>
				              </select></td>
				            <td><span class="help"><?php echo $help_geo_zone; ?></span></td>
				        </tr>
				        <tr>
				            <td><?php echo $entry_sort_order; ?></td>
				            <td><input type="text" name="payline_sort_order" value="<?php echo $payline_sort_order; ?>" size="3" /></td>
				            <td><span class="help"><?php echo $help_sort_order; ?></span></td>
				        </tr>
				        <tr>
				            <td><?php echo $entry_method_name; ?></td>
				            <td><input type="text" name="payline_method_name" value="<?php echo $payline_method_name; ?>" />
				            <?php if ($error_method_name) { ?>
		              		<span class="error"><?php echo $error_method_name; ?></span>
		              		<?php } ?></td>
				            <td><span class="help"><?php echo $help_method_name; ?></span></td>
				        </tr>
			       </table>
				</fieldset>
				<br/>
				<fieldset>
					<legend><strong><?php echo $fieldset_payline_auth; ?></strong></legend>
					<table class="form">
	          			<tr>
							<td><?php echo $entry_environment; ?></td>
	            			<td>
	            				<select name="production">
	                			<?php if ($production) { ?>
	                			<option value="1" selected="selected"><?php echo $text_production; ?></option>
	                			<option value="0"><?php echo $text_homologation; ?></option>
	                			<?php } else { ?>
	                			<option value="1"><?php echo $text_production; ?></option>
	                			<option value="0" selected="selected"><?php echo $text_homologation; ?></option>
	                			<?php } ?>
	              				</select>
	              				<?php if ($error_environment) { ?>
		              			<span class="error"><?php echo $error_environment; ?></span>
		              			<?php } ?>
	              			</td>
	              			<td><span class="help"><?php echo $help_environment; ?></span></td>
	          			</tr>
						<tr>
							<td><?php echo $entry_merchant_id; ?></td>
							<td><input type="text" name="payline_merchant_id" value="<?php echo $payline_merchant_id; ?>" />
		              		<?php if ($error_merchant_id) { ?>
		              		<span class="error"><?php echo $error_merchant_id; ?></span>
		              		<?php } ?></td>
		              		<td><span class="help"><?php echo $help_merchant_id; ?></span></td>
		          		</tr>
		          		<tr>
							<td><?php echo $entry_access_key; ?></td>
							<td><input type="text" name="payline_access_key" value="<?php echo $payline_access_key; ?>" />
		              		<?php if ($error_access_key) { ?>
		              		<span class="error"><?php echo $error_access_key; ?></span>
		              		<?php } ?></td>
		              		<td><span class="help"><?php echo $help_access_key; ?></span></td>
		          		</tr>
		          	</table>
				</fieldset>
				<br/>
				<fieldset id="paylinePosSettings">
					<legend><strong><?php echo $fieldset_payline_contracts; ?></strong></legend>
					<input type="hidden" name="payline_posData" value="">
					<input type="hidden" name="payline_basicsettingsok" value="">
					
					<?php
						if($payline_basicsettingsok == 1){
							echo '&nbsp;&nbsp;'.$entry_select_pos;
							echo "<select id='paylinePosChoice' name='paylinePosChoice' onchange='managePaylineContracts()'>";
							for($p=0, $n=sizeof($payline_posData); $p<$n;$p++){
								if($payline_posData[$p]['used'] == 1){
									$selected = "selected='true'";
								}else{
									$selected = "";
								}
								echo "	<option value='".$payline_posData[$p]['label']."' $selected>".$payline_posData[$p]['label']."</option>";
							}
							echo "</select>";
							for($pos=0, $nbpos=sizeof($payline_posData) ; $pos<$nbpos;$pos++){
								echo "<table class='form' id='".$payline_posData[$pos]['label']."' border='0'>
										<tr>
		   									<td style='width: 200px; text-align:right;'></td>
		   									<td style='width: 200px;'></td>
		   									<td style='width: 100px;'>Primary";
		   						if ($error_primary_contracts) {
		              				echo "<span class='error'>$error_primary_contracts</span>";
		              			}
						        echo "     		</td>
		   									<td style='width: 400px;'>Secondary</td>
		   								</tr>";
		   						for($ctr=0, $nbctr=sizeof($payline_posData[$pos]['contracts']) ; $ctr<$nbctr ; $ctr++){
		   							if($payline_posData[$pos]['contracts'][$ctr]['primary'] == 1){
		   								$check_primary = "checked='true'";
		   							}else{
		   								$check_primary = "";
		   							}
		   							if($payline_posData[$pos]['contracts'][$ctr]['secondary'] == 1){
		   								$check_secondary = "checked='true'";
		   							}else{
		   								$check_secondary = "";
		   							}
		   							
		   							echo "<tr>";
					   				echo "	<td style='text-align:right;'><img src='".$payline_posData[$pos]['contracts'][$ctr]['logo']."' alt='".$payline_posData[$pos]['contracts'][$ctr]['cardType']."' title='".$payline_posData[$pos]['contracts'][$ctr]['cardType']."'></td>";
					   				echo "	<td>".$payline_posData[$pos]['contracts'][$ctr]['label']." (".$payline_posData[$pos]['contracts'][$ctr]['contractNumber'].")</td>";
					   				echo "	<td><input type='checkbox' name='payline_primary_contracts[]' value='".$payline_posData[$pos]['contracts'][$ctr]['contractNumber']."' $check_primary /></td>";
					   				echo "	<td><input type='checkbox' name='payline_secondary_contracts[]' value='".$payline_posData[$pos]['contracts'][$ctr]['contractNumber']."' $check_secondary /></td>";
					   				echo "</tr>";
		   						}
		   						echo "</table>";
							}
						}else{
							echo $fieldset_payline_basicsettings;
						}
					?>
	          	</fieldset>
	          	<script type="text/javascript">
				<!--
					managePaylineContracts();
				-->
				</script>
	          	<br/>
	          	<fieldset>
					<legend><strong><?php echo $fieldset_payline_payment; ?></strong></legend>
					<table class="form">
		          		<tr>
							<td><?php echo $entry_payment_action; ?></td>
	            			<td>
	            				<select name="payment_action">
	                			<?php if ($payment_action == 101) { ?>
	                			<option value="101" selected="selected"><?php echo $payment_action_101; ?></option>
	                			<option value="100"><?php echo $payment_action_100; ?></option>
	                			<?php } else { ?>
	                			<option value="101"><?php echo $payment_action_101; ?></option>
	                			<option value="100" selected="selected"><?php echo $payment_action_100; ?></option>
	                			<?php } ?>
	              				</select>
	              			</td>
	              			<td><span class="help"><?php echo $help_payment_action; ?></span></td>
	          			</tr>
		          		<tr>
				            <td><?php echo $entry_init_status; ?></td>
				            <td><select name="init_status_id">
				                <?php foreach ($order_statuses as $order_status) { ?>
				                <?php if ($order_status['order_status_id'] == $init_status_id) { ?>
				                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
				                <?php } else { ?>
				                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
				                <?php } ?>
				                <?php } ?>
				              </select></td>
				              <td><span class="help"><?php echo $help_init_status; ?></span></td>
				          </tr>
				          <tr>
				            <td><?php echo $entry_accepted_status; ?></td>
				            <td><select name="accepted_status_id">
				                <?php foreach ($order_statuses as $order_status) { ?>
				                <?php if ($order_status['order_status_id'] == $accepted_status_id) { ?>
				                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
				                <?php } else { ?>
				                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
				                <?php } ?>
				                <?php } ?>
				              </select></td>
				              <td><span class="help"><?php echo $help_accepted_status; ?></span></td>
				          </tr>
				          <tr>
				            <td><?php echo $entry_canceled_status; ?></td>
				            <td><select name="canceled_status_id">
				                <?php foreach ($order_statuses as $order_status) { ?>
				                <?php if ($order_status['order_status_id'] == $canceled_status_id) { ?>
				                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
				                <?php } else { ?>
				                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
				                <?php } ?>
				                <?php } ?>
				              </select></td>
				              <td><span class="help"><?php echo $help_canceled_status; ?></span></td>
				          </tr>
				          <tr>
				            <td><?php echo $entry_refused_status; ?></td>
				            <td><select name="refused_status_id">
				                <?php foreach ($order_statuses as $order_status) { ?>
				                <?php if ($order_status['order_status_id'] == $refused_status_id) { ?>
				                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
				                <?php } else { ?>
				                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
				                <?php } ?>
				                <?php } ?>
				              </select></td>
				              <td><span class="help"><?php echo $help_refused_status; ?></span></td>
				          </tr>
				          <tr>
				            <td><?php echo $entry_abandoned_status; ?></td>
				            <td><select name="abandoned_status_id">
				                <?php foreach ($order_statuses as $order_status) { ?>
				                <?php if ($order_status['order_status_id'] == $abandoned_status_id) { ?>
				                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
				                <?php } else { ?>
				                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
				                <?php } ?>
				                <?php } ?>
				              </select></td>
				              <td><span class="help"><?php echo $help_abandoned_status; ?></span></td>
				          </tr>
		          		<tr>
							<td><?php echo $entry_template_url; ?></td>
							<td><input type="text" name="template_url" value="<?php echo $template_url; ?>" /></td>
							<td><span class="help"><?php echo $help_template_url; ?></span></td>
		          		</tr>
		          		<tr>
							<td><?php echo $entry_custom_page_code; ?></td>
							<td><input type="text" name="custom_page_code" value="<?php echo $custom_page_code; ?>" /></td>
							<td><span class="help"><?php echo $help_custom_page_code; ?></span></td>
		          		</tr>
	          		</table>
	          	</fieldset>
	          	<br/>
	          	<fieldset>
					<legend><strong><?php echo $fieldset_payline_proxy; ?></strong></legend>
					<table class="form">
		          		<tr>
							<td><?php echo $entry_proxy_host; ?></td>
							<td><input type="text" name="proxy_host" value="<?php echo $proxy_host; ?>" />
							<?php if ($error_proxy) { ?>
		              		<span class="error"><?php echo $error_proxy; ?></span>
		              		<?php } ?></td>
							<td><span class="help"><?php echo $help_proxy_host; ?></span></td>
		          		</tr>
		          		<tr>
							<td><?php echo $entry_proxy_port; ?></td>
							<td><input type="text" name="proxy_port" value="<?php echo $proxy_port; ?>" /><?php if ($error_proxy) { ?>
		              		<span class="error"><?php echo $error_proxy; ?></span>
		              		<?php } ?></td>
							<td><span class="help"><?php echo $help_proxy_port; ?></span></td>
		          		</tr>
		          		<tr>
							<td><?php echo $entry_proxy_login; ?></td>
							<td><input type="text" name="proxy_login" value="<?php echo $proxy_login; ?>" /><?php if ($error_proxy) { ?>
		              		<span class="error"><?php echo $error_proxy; ?></span>
		              		<?php } ?></td>
							<td><span class="help"><?php echo $help_proxy_login; ?></span></td>
		          		</tr>
		          		<tr>
							<td><?php echo $entry_proxy_password; ?></td>
							<td><input type="text" name="proxy_password" value="<?php echo $proxy_password; ?>" /><?php if ($error_proxy) { ?>
		              		<span class="error"><?php echo $error_proxy; ?></span>
		              		<?php } ?></td>
							<td><span class="help"><?php echo $help_proxy_password; ?></span></td>
		          		</tr>
					</table>
				</fieldset>
			</form>
		</div>
	</div>
</div>

<?php echo $footer; ?> 