<?php
/*
http://www.payline.com

Payline module for OpenCart - v1.3 - January 2014

Copyright (c) 2014 Monext
*/

// Heading
$_['heading_title']		= 'Payline - secured payment';

// Text
$_['text_payment']		= 'Payment';
$_['text_success']		= 'Your Payline configuration is correct';
$_['text_incomplete']	= 'Your Payline configuration is incomplete : you must select at least one primary contract';
$_['text_payline']		= '<a onclick="window.open(&#39;http://www.payline.com&#39;);"><img src="view/image/payment/payline.png" alt="Payline" title="Payline" style="border: 1px solid #EEEEEE;" /></a>';
$_['text_all_zones']	= 'All zones';
$_['text_homologation']	= 'Homologation';
$_['text_production']	= 'Production';
$_['payment_action_101']= 'authorization+capture';
$_['payment_action_100']= 'authorization';

// Entry
$_['entry_geo_zone']     		= 'Geo Zone';
$_['entry_status']       		= 'Status';
$_['entry_sort_order']   		= 'Sort order';
$_['entry_method_name']   		= 'Method name';
$_['entry_environment']  		= 'Target environment';
$_['entry_payline_status']  	= 'Module status';
$_['entry_merchant_id']  		= 'Merchant ID';
$_['entry_access_key']   		= 'Access Key';
$_['entry_payment_action']   	= 'Payment action';
$_['entry_init_status']     	= 'Initial status';
$_['entry_accepted_status']     = 'Accepted status';
$_['entry_canceled_status']     = 'Canceled status';
$_['entry_refused_status']     	= 'Refused status';
$_['entry_abandoned_status']    = 'Abandoned status';
$_['entry_template_url']   		= 'Custom template URL';
$_['entry_custom_page_code']   	= 'Custom payment page code';
$_['entry_proxy_host']   		= 'Proxy host';
$_['entry_proxy_port']   		= 'Proxy port number';
$_['entry_proxy_login']   		= 'Proxy login';
$_['entry_proxy_password']		= 'Proxy password';
$_['entry_select_pos']			= 'Select a point of sale : ';

// Fieldset
$_['fieldset_payline_module']			= 'General settings';
$_['fieldset_payline_auth']				= 'Authentication parameters';
$_['fieldset_payline_proxy']			= 'Proxy settings';
$_['fieldset_payline_payment']			= 'Payment settings';
$_['fieldset_payline_contracts']		= 'Contracts settings';
$_['fieldset_payline_basicsettings']	= 'You have to set your authentication parameters to display your contracts';

// Help
$_['help_geo_zone']     	= '';
$_['help_payline_status']   = '';
$_['help_sort_order']   	= '';
$_['help_method_name']   	= 'Name of the method displayed to the customer at payment method selection (checkout step 5)';
$_['help_environment']  	= '<i>'.$_['text_homologation'].'</i> environment is for testing purpose (payments are fake). Once your tests are complete, switch to <i>'.$_['text_production'].'</i> environment (<i>'.$_['entry_merchant_id'].'</i> and <i>'.$_['entry_access_key'].'</i> will have to be modified as well).';
$_['help_merchant_id']  	= 'Your Payline merchant identification number (14 digit)';
$_['help_access_key']   	= 'The string you generated through Payline administration center (20 characters)';
$_['help_payment_action']   = 'A single <i>'.$_['payment_action_100'].'</i> transaction must be captured throught Payline administration center within 7 days to make payment effective. <br/>If <i>'.$_['payment_action_101'].'</i> is selected, payment is immediate.';
$_['help_init_status']     	= 'Order status when customer is redirected to Payline';
$_['help_accepted_status']  = 'Order status when payment is accepted by Payline';
$_['help_canceled_status']  = 'Order status when payment is canceled by the customer';
$_['help_refused_status']   = 'Order status when payment is refused by Payline';
$_['help_abandoned_status'] = 'Order status when payment is abandoned by the customer';
$_['help_template_url']   	= 'URL of your own web payment page template';
$_['help_custom_page_code'] = 'code of the customization created in the Payline administration center';
$_['help_proxy_host']   	= '';
$_['help_proxy_port']   	= '';
$_['help_proxy_login']   	= '';
$_['help_proxy_password']	= '';

// Error
$_['error_permission']				= 'You do not have permission to modify Payline payment module';
$_['required_method_name']			= $_['entry_method_name'].' required';
$_['required_merchant_id']			= $_['entry_merchant_id'].' required';
$_['required_access_key']			= $_['entry_access_key'].' required';
$_['required_primary_contracts']	= 'Select at least one primary contract';
$_['error_config']					= 'Your Payline configuration is wrong';
$_['error_contract']				= 'One of these contract number is wrong';
$_['error_connect']					= 'Unable to call Payline web services';
$_['error_credentials']				= 'One of these parameters is wrong';
$_['error_doWebPayment']			= 'doWebPayment response code = ';
$_['error_getMerchantSettings']		= 'getMerchantSettings reponse code = ';
$_['error_proxy']					= 'One of your proxy parameter is wrong';

?>